WordPress.org

Ready to get started?Download WordPress

Forums

Warning when form activated (7 posts)

  1. cosycarb
    Member
    Posted 6 years ago #

    Hi

    I get this message at the top of the page since activating TDOMF. Can anyone give me a reason and fix for this please

    Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (plus stuff to do with the folder details etc

    Many thanks

  2. the_dead_one
    Member
    Posted 6 years ago #

    Hi cosycarb,

    Could you point me to an example and also could you try two things?

    1. Try using the default theme that comes with WordPress. Do you still get the error?

    2. Disable all your other plugins except TDOMF. Do you still get the error?

    The only reason I can think of that session_start() fails is that someone else (either your theme or a plugin) calls session_start() after TDOMF calls it and doesn't check if $_SESSION already exists.

  3. Svenl77
    Member
    Posted 6 years ago #

    Hi
    I get the same message
    I tryed it with the default themes and disables all other plugins.
    the message is still there.

    Warning: uniqid() expects at least 1 parameter, 0 given in /srv/www/htdocs/web14/html/wp-content/plugins/tdo-mini-forms/include/tdomf-db.php on line 252

    sorry for bad english. thanks for your work. sven

  4. the_dead_one
    Member
    Posted 6 years ago #

    Hi svenl77, the error you are reporting is not the same as cosycarb's error. I only introduced the usage of uniqid in the latest v0.10.3 which I only released today. I double checked the documentation and apparently calling uniqid with no parameters is a PHP5 version, PHP4 version requires at least one parameter, so I'm assuming your using PHP4?

    To quickly fix this just go to tdomf-db.php line 252 and you'll see that there is a commented out line at 251. Uncomment it and comment out line 252 (the one with uniqid).

    $session_key = tdomf_random_string(15);
          #$session_key = uniqid();

    This should get you up and running. I'll fix this for the next version. Sorry, I didn't mean to go all PHP5-out on you! :)

  5. Svenl77
    Member
    Posted 6 years ago #

    Hi the_dead_one, thanks a lot for your fast help. I realy getting happy. Sorry for the wrong post. I'm new in wordpress and php. Just start up 2 weaks ago. :-Svenl77

  6. the_dead_one
    Member
    Posted 6 years ago #

    No problem, I didn't realise my host had moved to PHP5 and was completely unaware of any PHP4 incompatiblity. I fixed your issue and have just uploaded it as v0.10.4. :)

  7. Svenl77
    Member
    Posted 6 years ago #

    Wow you are realy fast! thank you again, for so a nice support. I realy impresst. tanks :)

Topic Closed

This topic has been closed to new replies.

About this Topic